#!/bin/bash
if [ -n "$(id | grep root)" ]; then
{
   zenity --question --width=200 --title="Configuració de veu del Radit" --text="Voleu canviar la veu del locutor del programa Radit?"
      if [ "$?" != 0 ]; then
      {
         zenity --width=200 --info "Finalització" \
--text="Heu cancel·lat l'operació."
         exit 0
      } 
      fi
#
# Selecció locutor home-dona - radit
#
   zenity --info --width=200 --height=200 --text="Tot seguit es configurarà la veu per a les locucions del programa Radit."
   VOICE=""
   while [ "$VOICE" = "" ]; do
      VOICE=$(zenity --width=200 --height=200 --list \
--title="Trieu una opció" \
--text="Seleccioneu la veu per a les locucions horàries i meteorològiques." \
--column="Veu" \
Pau \
Ona \
Personalitzada)
      if [ "$?" = "1" ]; then
         exit 0
      fi
   done
   if [ -L /usr/share/linkat/linkat-radit/radit/Hth ]; then
      rm /usr/share/linkat/linkat-radit/radit/Hth
   fi
   if [ $VOICE == "Pau" ]; then
      ln -s /usr/share/linkat/linkat-radit/radit/Hth.home /usr/share/linkat/linkat-radit/radit/Hth
      zenity --info --width=200 --text="La veu que heu triat és la d'en Pau."
   elif [ $VOICE == "Ona" ]; then
      ln -s /usr/share/linkat/linkat-radit/radit/Hth.dona /usr/share/linkat/linkat-radit/radit/Hth
      zenity --info --width=200 --text="La veu que heu triat és la de l'Ona."
   else      
      CUSTOM_VOICE=$(zenity --file-selection --directory --filename=/home-local/radio/Multimèdia)
      if [ -n "$CUSTOM_VOICE" ]; then
         ln -s "$CUSTOM_VOICE" /usr/share/linkat/linkat-radit/radit/Hth
         zenity --info --width=200 --text="El directori que conté la veu personalitzada és: \n\r$CUSTOM_VOICE"
      else
         ln -s /usr/share/linkat/linkat-radit/radit/Hth.home /usr/share/linkat/linkat-radit/radit/Hth
         zenity --info --width=200 --text="El directori no s'ha trobat. Se selecciona la veu d'en Pau."
      fi
           
   fi
}
else {
         zenity --width=200 --info "Atenció" \
--text="No sou usuari root / sudoer. S'ha cancel·lat la configuració."
}
fi
