#!/bin/bash
GD=$(which grive)
CONTROL=".linkat-drive"
CONFIGURACIO="$HOME/$CONTROL"
configure_gdrive ()
{
      zenity --info --width=200 --text="Configuració del client de Google Drive."
      zenity --info --width=200 --text="Seleccioneu el directori que voleu sincronitzar amb Google Drive."
      CARPETA_CLOUD="$(zenity --file-selection --width=200 --title "Escolliu un directori:" --directory)"
      echo "$CARPETA_CLOUD" > $CONFIGURACIO
      cd $CARPETA_CLOUD
      x-terminal-emulator -e "bash -c '$GD -a $CARPETA_CLOUD ; zenity --info --text=Reviseu\ els\ fitxers\ de\ la\ carpeta\ $CARPETA_CLOUD ; sleep 2 ; nautilus $CARPETA_CLOUD'"&

}

if [ -e "$CONFIGURACIO" ]; then
   zenity --question --width=200 --title="Pregunta?" --text="El servei de núvol (Google Drive) ja està configurat.\n\
Voleu tornar-lo a configurar?"
   case $? in
   0)
      configure_gdrive
   ;;
   *)
      zenity --info --width=200 --text="S'ha cancel·lat la configuració."
   ;;
   esac
else
   configure_gdrive
fi
exit 0
