#!/bin/bash
FLAG=$#
#
#
zenity --question --width=500 --title="Reinici del servidor ICECAST2" --text=\
"<b>ICECAST2</b> és un servidor de <i>streaming</i> que treballa pel port <b>8000</b> intern.\n
Per accedir a aquest servidor, cal que us connecteu amb la URL següent: <b>http://127.0.0.1:8000</b>\n
També podeu canviar l'adreça <i>127.0.0.1</i> per la IP del servidor de ràdio.\n
<b>Voleu reiniciar aquest servei?</b>"
if [ "$?" != 0 ]; then
{
   zenity --width=200 --info "Informació" --text="Heu cancel·lat l'operació."
   exit 0
} 
fi
systemctl restart icecast2
if [ $FLAG -eq 0 ]; then
   zenity --width=300 --info "Informació" \
--text="S'ha reiniciat el servidor <b>Icecast2</b>.\n\r\
L'estat del servidor Icecast2 és: <b>$(systemctl status icecast2 |grep Active\: |sed -e 's/^[[:space:]]*//' |cut -d " " -f 3)</b>\n\r"
fi


