#!/bin/bash
FLAG=$#
#
#
zenity --question --width=500 --title="Reinici del servidor OWNCAST" --text=\
"<b>OWNCAST</b> és un servidor <b>RTMP</b> que treballa pels ports interns <b>8080</b> i <b>1935</b>.\n
Per veure les emissions a través d'aquest servidor, cal que us hi connecteu amb la URL:\n
<b>http://127.0.0.1:8080</b>\n\r
Si voleu administrar el servidor Owncast, cal que hi accediu amb la URL:\n
<b>http://127.0.0.1:8080/admin</b>\n
Si és el primer cop que poseu en marxa el servidor <b>Owncast</b>, cal canviar la contrasenya de l'usuari <b>admin</b>.\
 La contrasenya inicial d'aquest usuari és: <b>abc123</b>\n\r
<b>Aquesta contrasenya és genèrica i cal canviar-la abans de posar en producció aquest servei.</b>\n\r
Si voleu emetre pel servidor <b>Owncast</b>, cal que utilitzeu un programari extern com ara <b>OBS</b>.\
 Si feu servir aquest programa, cal que utilitzeu la informació següent per poder transmetre cap a <b>Owncast</b>:\n
<b>Servidor</b>: rtmp://127.0.0.1:1935/live
<b>Clau de transmissió</b>: <i>(la clau que heu definit durant el canvi)</i>.

<b>Nota</b>: Podeu canviar l'adreça <i>127.0.0.1</i> per la IP interna del servidor de ràdio o bé per la seva IP pública.\n\r
<b>Voleu reiniciar aquest servei?</b>"
if [ "$?" != 0 ]; then
{
   zenity --width=200 --info "Informació" --text="Heu cancel·lat l'operació."
   exit 0
} 
fi
systemctl restart owncast.service
if [ $FLAG -eq 0 ]; then
   zenity --width=300 --info "Informació" \
--text="S'ha reiniciat el servidor <b>Owncast</b>.\n\r\
L'estat del servidor Owncast és: <b>$(systemctl status owncast.service |grep Active\: |sed -e 's/^[[:space:]]*//' |cut -d " " -f 3)</b>\n\r"
fi


