#!/bin/bash
GD=$(which grive)
CONTROL=".linkat-drive"
CONFIGURACIO="$HOME/$CONTROL"
FLAG=$#
#
# RANDOM D'ESPERA: ENTRE 1 i 5 minuts
# La sincronització es fara entre 1 i 5 minuts després de l'hora en punt
#
if [ $FLAG -eq 0 ]; then
        ESPERA=$(( 1 + RANDOM % 300 ))
        sleep $ESPERA
fi
if [ -n "$(pidof $GD)" ];then
   if [ $FLAG -ne 0 ]; then
      zenity --info --width=200 --text="El client de GDRIVE ja s'està executant.\n\
S'ha cancel·lat la sincronització manual."
   fi
   exit 0
fi
if [ $FLAG -ne 0 ]; then
   zenity --question --width=200 --title="Sincronització manual" --text="Voleu sincronitzar manualment el servei al núvol (Google Drive)?"
fi

   case $? in
   0)
	if [ -e "$CONFIGURACIO" ]; then
	   CARPETA_CLOUD="$(cat $CONFIGURACIO)"
	   cd $CARPETA_CLOUD
	   if [ $FLAG -eq 0 ]; then
	      $GD 2>&1 >/dev/null
	   else
	      $GD 2>&1 | zenity --width=200 --title "Sortida de l'ordre grive2" --text-info -
	      zenity --info --width=200 --text="S'ha sincronitzat el directori $CARPETA_CLOUD correctament."
	   fi
	else
	   if [ $FLAG -ne 0 ]; then 
	      zenity --info --width=200 --text="L'accés al núvol (Google Drive) no està configurat"
	   fi
	fi
	exit 0
   ;;
   *)
      zenity --info --width=200 --text="S'ha cancel·lat la sincronització manual."
   ;;
esac

