#!/bin/bash
CONTROL=".linkat-weather"
CONFIGURACIO="$HOME/$CONTROL"
configure_weather ()
{
	zenity --info --width=200 --text="Configureu les dades del servei de meteorologia OpenWeatherMap"
	APIKEY=""
	while [ "$APIKEY" == "" ]; do
		APIKEY="$(zenity --entry --width=200 --text="Introduïu la clau API obtinguda a OpenWeatherMap")"
	done
	CITY_CODE=""
	while [ "$CITY_CODE" == "" ]; do
		CITY_CODE="$(zenity --entry --width=200 --text="Introduïu el codi de ciutat de l'OpenWeatherMap.")"
	done
	echo "$APIKEY $CITY_CODE" > $CONFIGURACIO
	zenity --info --width=200 --text="El servei de meteorologia s'ha configurat correctament."
}

if [ -e "$CONFIGURACIO" ]; then
	zenity --question --width=200 --title="Atenció" --text="El servei de meteorologia ja està configurat.\n\
Voleu tornar-lo a configurar?"
	case $? in
		0)
			configure_weather
		;;
		*)
			zenity --info --width=200 --text="S'ha cancel·lat l'operació."
		;;
	esac
	else
		configure_weather
fi
exit 0
