#!/bin/bash
OBS=$(which obs)
GLXINFO=$(which glxinfo)
VERSION_OGL=$($GLXINFO |grep OpenGL\ core\ profile\ version\ string|cut -d " " -f 6)
VERSION_OGL_MIN="3.2"
if [ "$(echo $VERSION_OGL '>=' $VERSION_OGL_MIN | bc)" == "1" ]; then
   $OBS&
   exit 0
else
   zenity --info --width=200 --text="Per executar OBS és necessari tenir OPENGL en la versió $VERSION_OGL_MIN o superior.\n\r\
No s'ha pogut iniciar l'OBS."
fi

