#!/bin/bash
FLAG=$#
if [ $FLAG -eq 0 ]; then
	ESPERA=$(( 1 + RANDOM % 300 ))
	sleep $ESPERA
fi
CONTROL=".linkat-weather"
CONFIGURACIO="$HOME/$CONTROL"
FITXER=/usr/share/linkat/linkat-radit/radit/Currenweather/currenweather.txt
URL="http://api.openweathermap.org/data/2.5"
if [ -e "$CONFIGURACIO" ]; then
	APIKEY="$(cat $CONFIGURACIO |cut -d " " -f 1)"
	CITY_CODE="$(cat $CONFIGURACIO |cut -d " " -f 2)"
	QUERY="$URL/weather?id=$CITY_CODE&units=metric&appid=$APIKEY"
	KEY=temp
	TEMP="$(curl $QUERY 2>/dev/null |jshon |grep $KEY\" |sed 's/\"//g;s/ //g;s/\,//g'|cut -d ":" -f 2 |xargs printf '%.*f\n' 0)"
	KEY=humidity
	HUMIDITY="$(curl $QUERY 2>/dev/null |jshon |grep $KEY\" |sed 's/\"//g;s/ //g;s/\,//g'|cut -d ":" -f 2)"
	KEY=name
	CITY="$(curl $QUERY 2>/dev/null |jshon |grep $KEY\" |sed 's/\"//g;s/\,//g'|cut -d ":" -f 2)"
	KEY=country
	COUNTRY="$(curl $QUERY 2>/dev/null |jshon |grep $KEY\" |sed 's/\"//g;s/\,//g'|cut -d ":" -f 2)"
	echo $TEMP $HUMIDITY > $FITXER
	if [ $FLAG -ne 0 ]; then
		zenity --info --width=200 --text="S'ha actualitzat la informació meteorològica:\n\n\
Ciutat: $CITY\n\
Estat: $COUNTRY\n\
Codi de ciutat: $CITY_CODE\n\
Hora: $(date +%T)\n\
Temperatura: $TEMP ºC\n\
Humitat relativa: $HUMIDITY %"
	fi
else
	if [ $FLAG -ne 0 ]; then
		zenity --info --width=200 --text="El servei meteorològic no està configurat."
	fi
	exit 0
fi
exit 0
